PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT > Struct Template Reference
Inheritance diagram for optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >:
[legend]
Collaboration diagram for optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >:
[legend]

## Public Member Functions
| FieldDataInefficient (EffectiveFrequencyCyl *solver, std::size_t num, const shared_ptr< const MeshD< 2 > > &dst_mesh, size_t stripe)
size_t | size () const override
| Get the number of elements in this vector.
FieldT | at (size_t id) const override
Public Member Functions inherited from optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >
| FieldDataBase (EffectiveFrequencyCyl *solver, std::size_t num)
| FieldDataBase (EffectiveFrequencyCyl *solver, std::size_t num)
| FieldDataBase (EffectiveFrequencyCyl *solver, std::size_t num)
Public Member Functions inherited from plask::LazyDataImpl< FieldT >
virtual | ~LazyDataImpl ()
virtual FieldT | at (std::size_t index) const=0
| Get index-th value from vector.
virtual DataVector< const FieldT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< FieldT > | claim () const

## Public Attributes
shared_ptr< const MeshD< 2 > > | dst_mesh
size_t | stripe
Public Attributes inherited from optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >
EffectiveFrequencyCyl * | solver
std::size_t | num

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< FieldT >
typedef FieldT | CellType
Protected Member Functions inherited from optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >
FieldT | value (dcomplex val) const
double | value (dcomplex val) const
Vec< 3, dcomplex > | value (dcomplex val) const
Protected Attributes inherited from optical::effective::EffectiveFrequencyCyl::FieldDataBase< FieldT >
double | scale

## Detailed Description

template<typename FieldT>
struct optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >

Definition at line 902 of file efm.cpp.

## Constructor & Destructor Documentation

## ◆ FieldDataInefficient()

template<typename FieldT >

optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >::FieldDataInefficient | ( | EffectiveFrequencyCyl * | solver,
|  | std::size_t | num,
|  | const shared_ptr< const MeshD< 2 > > & | dst_mesh,
|  | size_t | stripe
| ) |  |
| inline

Definition at line 906 of file efm.cpp.

## Member Function Documentation

## ◆ at()

template<typename FieldT >

FieldT optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >::at | ( | size_t | id | ) | const
| inline override

Definition at line 911 of file efm.cpp.

## ◆ size()

template<typename FieldT >

size_t optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >::size | ( |  | ) | const
| inline override virtual

Get the number of elements in this vector.

Returns
  the number of elements in this vector

Implements plask::LazyDataImpl< FieldT >.

Definition at line 909 of file efm.cpp.

## Member Data Documentation

## ◆ dst_mesh

template<typename FieldT >

shared_ptr<const MeshD<2> > optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >::dst_mesh

Definition at line 903 of file efm.cpp.

## ◆ stripe

template<typename FieldT >

size_t optical::effective::EffectiveFrequencyCyl::FieldDataInefficient< FieldT >::stripe

Definition at line 904 of file efm.cpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.cpp